Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.monitor.statistics
Interface HTTPListenerStats

All Superinterfaces:
  Stats

public interface HTTPListenerStats
extends Stats

A Stats interface to represent the statistical data exposed by an HTTP Listener. This include data about the GlobalRequestProcessor and the ThreadPool. The GlobalRequestProcessor collects data about request processing from each of the RequestProcessor threads.

Since:
  S1AS8.0
Version:
  1.0
Author:
  Murali Vempaty

Method Summary
`CountStatistic` | `getBytesReceived()` Cumulative value of the bytesReceived by each of the RequestProcessors
`CountStatistic` | `getBytesSent()` Cumulative value of the bytesSent by each of the RequestProcessors
`CountStatistic` | `getCurrentThreadCount()` The number of request processing threads currently in the thread pool
`CountStatistic` | `getCurrentThreadsBusy()` The number of request processing threads currently in the thread pool, serving requests.
`CountStatistic` | `getErrorCount()` Cumulative value of the errorCount of each of the RequestProcessors.
`CountStatistic` | `getMaxSpareThreads()` The maximum number of unused request processing threads that will be allowed to exist until the thread pool starts stopping the unnecessary threads.
`CountStatistic` | `getMaxThreads()` The maximum number of request processing threads that are created by the listener.
`CountStatistic` | `getMaxTime()` The longest response time for a request.
`CountStatistic` | `getMinSpareThreads()` The number of request processing threads that will be created when this listener is first started.
`CountStatistic` | `getProcessingTime()` Cumulative value of the processing times of each of the RequestProcessors.
`CountStatistic` | `getRequestCount()` Cumulative number of the requests processed so far, by the RequestProcessors.

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Method Detail

### getBytesReceived

    public CountStatistic getBytesReceived()

  Cumulative value of the bytesReceived by each of the RequestProcessors

  Returns:
    CountStatistic

### getBytesSent

    public CountStatistic getBytesSent()

  Cumulative value of the bytesSent by each of the RequestProcessors

  Returns:
    CountStatistic

### getErrorCount

    public CountStatistic getErrorCount()

  Cumulative value of the errorCount of each of the RequestProcessors. The errorCount represents the number of cases where the response code was >= 400

  Returns:
    CountStatistic

### getMaxTime

    public CountStatistic getMaxTime()

  The longest response time for a request. This is not a cumulative value, but is the maximum of the response times for each of the RequestProcessors.

  Returns:
    CountStatistic

### getProcessingTime

    public CountStatistic getProcessingTime()

  Cumulative value of the processing times of each of the RequestProcessors. The processing time of a RequestProcessor is the average of request processing times over the request count.

  Returns:
    CountStatistic

### getRequestCount

    public CountStatistic getRequestCount()

  Cumulative number of the requests processed so far, by the RequestProcessors.

  Returns:
    CountStatistic

### getCurrentThreadCount

    public CountStatistic getCurrentThreadCount()

  The number of request processing threads currently in the thread pool

  Returns:
    CountStatistic

### getCurrentThreadsBusy

    public CountStatistic getCurrentThreadsBusy()

  The number of request processing threads currently in the thread pool, serving requests.

  Returns:
    CountStatistic

### getMaxThreads

    public CountStatistic getMaxThreads()

  The maximum number of request processing threads that are created by the listener. It determines the maximum number of simultaneous requests that can be handled

  Returns:
    CountStatistic

### getMaxSpareThreads

    public CountStatistic getMaxSpareThreads()

  The maximum number of unused request processing threads that will be allowed to exist until the thread pool starts stopping the unnecessary threads.

  Returns:
    CountStatistic

### getMinSpareThreads

    public CountStatistic getMinSpareThreads()

  The number of request processing threads that will be created when this listener is first started.

  Returns:
    CountStatistic

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.